FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007131801.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007131801.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8eef07a OS_GIT_VERSION=4.5.0-202007131801.p0-8eef07a SOURCE_DATE_EPOCH=1587164001 SOURCE_GIT_COMMIT=8eef07a1d70653bacb45ba1b1c46fd6ee6e20bd6 SOURCE_GIT_TAG=v0.4.1-508-g8eef07a1d SOURCE_GIT_URL=https://github.com/openshift/csi-external-provisioner 
WORKDIR /go/src/github.com/kubernetes-csi/external-provisioner
COPY . .
RUN make build

FROM openshift/ose-base:v4.5.0.20200713.182304
ENV __doozer=update BUILD_RELEASE=202007131801.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007131801.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8eef07a OS_GIT_VERSION=4.5.0-202007131801.p0-8eef07a SOURCE_DATE_EPOCH=1587164001 SOURCE_GIT_COMMIT=8eef07a1d70653bacb45ba1b1c46fd6ee6e20bd6 SOURCE_GIT_TAG=v0.4.1-508-g8eef07a1d SOURCE_GIT_URL=https://github.com/openshift/csi-external-provisioner 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-provisioner/bin/csi-provisioner /usr/bin/
ENTRYPOINT ["/usr/bin/csi-provisioner"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="External provisioner for CSI volumes" \
        io.k8s.display-name="External provisioner for CSI volumes" \
        io.openshift.tags="csi,storage,provisioner" \
        vendor="Red Hat" \
        name="openshift/ose-csi-external-provisioner" \
        com.redhat.component="csi-provisioner-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202007131801.p0" \
        io.openshift.build.commit.id="8eef07a1d70653bacb45ba1b1c46fd6ee6e20bd6" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-provisioner" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-provisioner/commit/8eef07a1d70653bacb45ba1b1c46fd6ee6e20bd6" \
        version="v4.5.0"

